/* autor : Max Celedon Collins
  Psycho World
  http://www.psychoworld.cl
  */

import java.io.*;
import javax.microedition.io.Connector;
import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;

public class MobileZX extends MIDlet {
	Spectrum    spectrum = null;
	Thread      thread   = null;
	Display display;

	public MobileZX() throws Exception {
		display = Display.getDisplay(this);
		spectrum = new Spectrum(this);
		readParameters();
		System.out.println("Constructor executed!");
	}

	public void startApp() {
		System.out.println("StartApp executed!");

		if ( spectrum != null ) {
			display.setCurrent(spectrum);
			System.out.println("Executing spectrum java emulator");
			spectrum.execute();
		}
	}

	public void destroyApp(boolean unconditional) throws MIDletStateChangeException {
		System.out.println("DestroyApp executed!");
	}

	public void pauseApp() {
		System.out.println("PauseApp executed!");
	}

	public void readParameters() throws Exception {
		String rom = "./spectrum.rom";
		spectrum.refreshRate= 1;
		spectrum.sleepHack=0;

		InputStream is = getClass().getResourceAsStream(rom);
		spectrum.loadROM( rom, is );
		is.close();

		String snap = "./endur48.sna";
		InputStream input = getClass().getResourceAsStream(snap);
		spectrum.loadSnapshot( snap, input, input.available() );
		input.close();
	}
}
